Update application configuration

View as Markdown

Update the authenticated application’s webhook delivery URL. Set webhook_url to null or an empty string to disable webhook delivery. Updated webhook settings apply to deliveries created after this request succeeds.

Authentication

AuthorizationBearer
Application auth. Send `Authorization: Bearer <app_uuid>:<api_key>` using any active key in the app's collection. See [Authentication](https://voice-platform.docs.buildwithfern.com/api/authentication) for details.

Request

This endpoint expects an object.
webhook_urlstring or nullOptional
HTTP or HTTPS webhook delivery URL. HTTPS is recommended because HTTP does not provide transport encryption. Set to null or an empty string to disable webhook delivery.

Response

Application configuration updated

Errors

400
Bad Request Error
401
Unauthorized Error
413
Content Too Large Error
415
Unsupported Media Type Error
500
Internal Server Error
503
Service Unavailable Error